## ros-foxy-ur-robot-driver 2.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ur_robot_driver)

add_compile_options(-std=c++11)
add_compile_options(-Wall)
add_compile_options(-Wextra)
add_compile_options(-Wno-unused-parameter)

if(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  message("${PROJECT_NAME}: You did not request a specific build type: selecting 'RelWithDebInfo'.")
  set(CMAKE_BUILD_TYPE RelWithDebInfo)
endif()

find_package(ament_cmake REQUIRED)
find_package(controller_manager REQUIRED)
find_package(controller_manager_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(hardware_interface REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_lifecycle REQUIRED)
find_package(std_msgs REQUIRED)
find_package(std_srvs REQUIRED)
find_package(ur_client_library REQUIRED)
find_package(ur_dashboard_msgs REQUIRED)

include_directories(
  include
)

set(THIS_PACKAGE_INCLUDE_DEPENDS
  controller_manager
  controller_manager_msgs
  geometry_msgs
  hardware_interface
  pluginlib
  rclcpp
  rclcpp_lifecycle
  std_msgs
  std_srvs
  ur_client_library
  ur_dashboard_msgs
)

add_library(ur_robot_driver_plugin
  SHARED
  src/dashboard_client_ros.cpp
  src/hardware_interface.cpp
  src/urcl_log_handler.cpp
)
target_link_libraries(
  ur_robot_driver_plugin
  ur_client_library::urcl
)
target_include_directories(
  ur_robot_driver_plugin
  PRIVATE
  include
)
ament_target_dependencies(
  ur_robot_driver_plugin
  ${${PROJECT_NAME}_EXPORTED_TARGETS}
  ${THIS_PACKAGE_INCLUDE_DEPENDS}
)
pluginlib_export_plugin_description_file(hardware_interface hardware_interface_plugin.xml)

add_executable(dashboard_client
  src/dashboard_client_ros.cpp
  src/dashboard_client_node.cpp
  src/urcl_log_handler.cpp
)
target_link_libraries(dashboard_client ${catkin_LIBRARIES} ur_client_library::urcl)
ament_target_dependencies(dashboard_client ${${PROJECT_NAME}_EXPORTED_TARGETS} ${THIS_PACKAGE_INCLUDE_DEPENDS})

add_executable(controller_stopper_node
  src/controller_stopper.cpp
  src/controller_stopper_node.cpp
)
ament_target_dependencies(controller_stopper_node ${${PROJECT_NAME}_EXPORTED_TARGETS} ${THIS_PACKAGE_INCLUDE_DEPENDS})

install(
  TARGETS dashboard_client controller_stopper_node
  DESTINATION lib/${PROJECT_NAME}
)

# INSTALL
install(
  TARGETS ur_robot_driver_plugin
  DESTINATION lib
)
install(
  DIRECTORY include/
  DESTINATION include
)


## EXPORTS
ament_export_include_directories(
        include
)
ament_export_libraries(
        ur_robot_driver_plugin
)

install(PROGRAMS scripts/tool_communication
  DESTINATION bin
)

install(DIRECTORY resources
  DESTINATION share/${PROJECT_NAME}
)


install(DIRECTORY include/
  DESTINATION include
)

ament_export_dependencies(
  hardware_interface
  pluginlib
  rclcpp
  ${THIS_PACKAGE_INCLUDE_DEPENDS}
)

ament_package()

if(BUILD_TESTING)
  find_package(ur_controllers REQUIRED)
  find_package(ur_description REQUIRED)
  find_package(ur_bringup REQUIRED)
  find_package(ur_msgs REQUIRED)
  find_package(launch_testing_ament_cmake)
  add_launch_test(test/integration_test.py)
endif()

=== debian/changelog ===
ros-foxy-ur-robot-driver (2.0.2-2focal) focal; urgency=high



 -- Marvin Große Besselmann <grosse@fzi.de>  Tue, 06 Dec 2022 23:00:00 -0000

ros-foxy-ur-robot-driver (2.0.1-2focal) focal; urgency=high

  * added ur_bringup to test_depend of ur_robot_driver (#454 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/454>)
  * Contributors: Felix Exner

 -- Marvin Große Besselmann <grosse@fzi.de>  Sun, 31 Jul 2022 22:00:00 -0000

ros-foxy-ur-robot-driver (2.0.0-2focal) focal; urgency=high

  * Updated package dependencies (#399 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/399>)
  * Foxy controller stopper (#324 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/324>)
  * Backport: Change driver constructor and change calibration check (#282 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/282>) (#302 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/302>)
  * Moved registering publisher and service to on_active (#151 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/151>)
  * Converted io_test and switch_on_test to ROS2 (#124 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/124>)
  * Added loghandler to handle log messages from the Client Library with … (#126 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/126>)
  * Removed dashboard client from hardware interface
  * [WIP] Updated feature list (#102 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/102>)
  * Moved Async check out of script running check (#112 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/112>)
  * Fix gpio controller (#103 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/103>)
  * Fixed speed slider service call (#100 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/100>)
  * Adding missing backslash and only setting workdir once (#108 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/108>)
  * Added dockerfile for the driver (#105 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/105>)
  * Using official Universal Robot Client Library (#101 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/101>)
  * Reintegrating missing ur_client_library dependency since the break the building process (#97 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/97>)
  * Fix readme hardware setup (#91 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/91>)
  * Fix move to home bug (#92 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/92>)
  * Using modern python
  * Some intermediate commit
  * Remove obsolete and unused files and packages. (#80 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/80>)
  * Review CI by correcting the configurations (#71 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/71>)
  * Add support for gpios, update MoveIt and ros2_control launching (#66 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/66>)
  * Quickfix against move home bug
  * Added missing initialization
  * Use GitHub Actions, use pre-commit formatting (#56 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/56>)
  * Put dashboard services into corresponding namespace
  * Start dashboard client from within the hardware interface
  * Added try catch blocks for service calls
  * Removed repeated declaration of timeout parameter which lead to connection crash
  * Removed static service name in which all auto generated services where mapped
  * Removed unused variable
  * Fixed clang-format issue
  * Removed all robot status stuff
  * Exchanged hardcoded value for RobotState msgs enum
  * Removed currently unused controller state variables
  * Added placeholder for industrial_robot_status_interface
  * Fixed clang issues
  * Added checks for internal robot state machine
  * Only load speed scaling interface
  * Changed state interface to combined speed scaling factor
  * Added missing formatting in hardware interface
  * Initial version of the speed_scaling_state_controller
    Controller is base on the current joint_state_controller of ros2 control
  * Fix clang tidy in multiple pkgs.
  * Clang tidy fix.
  * Update force torque state controller.
  * Prepare for testing.
  * Fix decision breaker for position control. Make decision effect instantaneous.
  * Use only position interface.
  * Update hardware interface for ROS2 (#8 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/8>)
  * Update the dashboard client for ROS2 (#5 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/5>)
  * Hardware interface framework (#3 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/3>)
  * Add XML schema to all ``package.xml`` files
    Better enable ``ament_xmllint`` to check validity.
  * Silence ``ament_lint_cmake`` errors
  * Update packaging for ROS2
  * Update package.xml files so ``ros2 pkg list`` shows all pkgs
  * Clean out ur_robot_driver for initial ROS2 compilation
  * Compile ur_dashboard_msgs for ROS2
  * Delete all launch/config files with no UR5 relation
  * Initial work toward compiling ur_robot_driver
  * Update CMakeLists and package.xml for:
    - ur5_moveit_config
    - ur_bringup
    - ur_description
  * Change pkg versions to 0.0.0
  * Contributors: AndyZe, Denis Stogl, Denis Štogl, Felix Exner, John Morris, Lovro, Mads Holm Peters, Marvin Große Besselmann, livanov93

 -- Marvin Große Besselmann <grosse@fzi.de>  Sun, 19 Jun 2022 22:00:00 -0000

ros-foxy-ur-robot-driver (0.0.3-2focal) focal; urgency=high

  * Added a service to end ROS control from ROS side
  * Publish IO state on ROS topics
  * Added write channel through RTDE with speed slider and IO services


=== debian/control ===
Source: ros-foxy-ur-robot-driver
Section: misc
Priority: optional
Maintainer: Marvin Große Besselmann <grosse@fzi.de>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-controller-manager, ros-foxy-controller-manager-msgs, ros-foxy-geometry-msgs, ros-foxy-hardware-interface, ros-foxy-launch-testing-ament-cmake <!nocheck>, ros-foxy-pluginlib, ros-foxy-rclcpp, ros-foxy-rclcpp-lifecycle, ros-foxy-rclpy <!nocheck>, ros-foxy-std-msgs, ros-foxy-std-srvs, ros-foxy-ur-bringup <!nocheck>, ros-foxy-ur-client-library, ros-foxy-ur-controllers, ros-foxy-ur-dashboard-msgs, ros-foxy-ur-description, ros-foxy-ur-msgs, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-ur-robot-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-controller-manager, ros-foxy-controller-manager-msgs, ros-foxy-geometry-msgs, ros-foxy-hardware-interface, ros-foxy-pluginlib, ros-foxy-rclcpp, ros-foxy-rclcpp-lifecycle, ros-foxy-std-msgs, ros-foxy-std-srvs, ros-foxy-ur-bringup, ros-foxy-ur-client-library, ros-foxy-ur-controllers, ros-foxy-ur-dashboard-msgs, ros-foxy-ur-description, ros-foxy-ur-msgs, ros-foxy-ros-workspace
Description: The new driver for Universal Robots UR3, UR5 and UR10 robots with CB3 controllers and the e-series.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-ur-robot-driver//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
